From 512eec7ec2993f46c181111f6f800727736646cb Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Mon, 21 Mar 2016 19:23:14 +0000
Subject: [PATCH] Add icons next to people in credits.

---
 build/index.php          | 11 ++++++++---
 module_index.json        |  2 +-
 modules/page-credits.php | 11 ++++++++---
 3 files changed, 17 insertions(+), 7 deletions(-)

diff --git a/build/index.php b/build/index.php
index 2bf67b3..1e7f4c6 100644
--- a/build/index.php
+++ b/build/index.php
@@ -2583,12 +2583,14 @@ register_module([
 				"Code" => [
 					"author" => "Starbeamrainbowlabs",
 					"author_url" => "https://starbeamrmainbowlabs.com/",
-					"thing_url" => "https://github.com/sbrl/Pepprminty-Wiki"
+					"thing_url" => "https://github.com/sbrl/Pepprminty-Wiki",
+					"icon" => "https://avatars0.githubusercontent.com/u/9929737?v=3&s=24"
 				],
 				"Slightly modified version of Slimdown" => [
 					"author" => "Johnny Broadway",
 					"author_url" => "https://github.com/jbroadway",
-					"thing_url" => "https://gist.github.com/jbroadway/2836900"
+					"thing_url" => "https://gist.github.com/jbroadway/2836900",
+					"icon" => "https://avatars2.githubusercontent.com/u/87886?v=3&s=24"
 				],
 				"Default Favicon" => [
 					"author" => "bluefrog23",
@@ -2598,7 +2600,8 @@ register_module([
 				"Bug Reports" => [
 					"author" => "nibreh",
 					"author_url" => "https://github.com/nibreh/",
-					"thing_url" => ""
+					"thing_url" => "",
+					"icon" => "https://avatars2.githubusercontent.com/u/7314006?v=3&s=24"
 				]
 			];
 			
@@ -2608,6 +2611,8 @@ register_module([
 			{
 				$credits_html .= "	<li>";
 				$credits_html .= "<a href='" . $author_details["thing_url"] . "'>$thing</a> by ";
+				if(isset($author_details["icon"]))
+				$credits_html .= "<img style='vertical-align: middle;' src='" . $author_details["icon"] . "' /> ";
 				$credits_html .= "<a href='" . $author_details["author_url"] . "'>" . $author_details["author"] . "</a>";
 				$credits_html .= "</li>\n";
 			}
diff --git a/module_index.json b/module_index.json
index a390b44..df89a74 100644
--- a/module_index.json
+++ b/module_index.json
@@ -77,7 +77,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds the credits page. You *must* have this module :D",
         "id": "page-credits",
-        "lastupdate": 1458586856,
+        "lastupdate": 1458588145,
         "optional": false
     },
     {
diff --git a/modules/page-credits.php b/modules/page-credits.php
index a43baa6..7d6a9d5 100644
--- a/modules/page-credits.php
+++ b/modules/page-credits.php
@@ -21,12 +21,14 @@ register_module([
 				"Code" => [
 					"author" => "Starbeamrainbowlabs",
 					"author_url" => "https://starbeamrmainbowlabs.com/",
-					"thing_url" => "https://github.com/sbrl/Pepprminty-Wiki"
+					"thing_url" => "https://github.com/sbrl/Pepprminty-Wiki",
+					"icon" => "https://avatars0.githubusercontent.com/u/9929737?v=3&s=24"
 				],
 				"Slightly modified version of Slimdown" => [
 					"author" => "Johnny Broadway",
 					"author_url" => "https://github.com/jbroadway",
-					"thing_url" => "https://gist.github.com/jbroadway/2836900"
+					"thing_url" => "https://gist.github.com/jbroadway/2836900",
+					"icon" => "https://avatars2.githubusercontent.com/u/87886?v=3&s=24"
 				],
 				"Default Favicon" => [
 					"author" => "bluefrog23",
@@ -36,7 +38,8 @@ register_module([
 				"Bug Reports" => [
 					"author" => "nibreh",
 					"author_url" => "https://github.com/nibreh/",
-					"thing_url" => ""
+					"thing_url" => "",
+					"icon" => "https://avatars2.githubusercontent.com/u/7314006?v=3&s=24"
 				]
 			];
 			
@@ -46,6 +49,8 @@ register_module([
 			{
 				$credits_html .= "	<li>";
 				$credits_html .= "<a href='" . $author_details["thing_url"] . "'>$thing</a> by ";
+				if(isset($author_details["icon"]))
+				$credits_html .= "<img style='vertical-align: middle;' src='" . $author_details["icon"] . "' /> ";
 				$credits_html .= "<a href='" . $author_details["author_url"] . "'>" . $author_details["author"] . "</a>";
 				$credits_html .= "</li>\n";
 			}
